Package mvpa :: Package clfs :: Module meta :: Class PredictionsCombiner

[hide private]
[frames] | no frames]

# Class PredictionsCombiner

source code

Base class for combining decisions of multiple classifiers

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

train(self, clfs, dataset) PredictionsCombiner might need to be trained | source code

__call__(self, clfs, dataset) Call function | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__init__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### train(self, clfs, dataset)

source code

PredictionsCombiner might need to be trained

Parameters:
  - `clfs` (list of Classifier) - List of classifiers to combine. Has to be classifiers (not pure predictions), since combiner might use some other state variables (value's) instead of pure prediction's
  - `dataset` (Dataset) - training data in this case

### __call__(self, clfs, dataset)
(Call operator)

source code

Call function

Parameters:
  - `clfs` (list of Classifier) - List of classifiers to combine. Has to be classifiers (not pure predictions), since combiner might use some other state variables (value's) instead of pure prediction's